Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

Search results for query: *

  1. FrankSwinks

    Move each objects on specified layer to another layer

    Here is a journal that basically does what you need. Your code tried to use features to move. Now features are not displayable objects and therefore features do not have layer property. What you basically need to do is cycle through the component parts, set it as the work part and then...
  2. FrankSwinks

    Through mesh curve NX9.0

    To change a spline from degree 1 to a degree 3 spline I suggest you try the following. For a given spline 1) Create a point set of type = Spline Points and subtype = Poles 2) Create a fit curve using type = Fit Spline Select the point set created Parameterization Method = Degree and...
  3. FrankSwinks

    Curve fitting using UF_MODL_create_fitted_spline with end slopes

    Can I suggest you set the tolerance to a larger value say 0.01. The output the maximum error and the point at which the maximum error occurs. I ran your data with no slope control then the maximum error was 0.008 at point 4 (point numbers 1 to 7) I then ran it using your end slopes and the...
  4. FrankSwinks

    Extract Center line of a cylindrical body

    Here is a journal than worked on your part. Option Strict Off Imports System Imports NXOpen Imports NXOpenUI Imports NXOpen.UF Imports NXOpen.Utilities Imports NXOpen.Features Module SingleSurfaceCentreLine Dim s As Session = Session.GetSession() Dim ui As UI = ui.GetUI() Dim ufs...
  5. FrankSwinks

    Extract Center line of a cylindrical body

    My latest program did not allow for faces that are open in one direction. That is if the cylindrical surface is made up of say two 180 degree arc faces then the program will not work. If this is what you are referring to please let us know this and I can looking at adding it to the program...
  6. FrankSwinks

    NX 9 - COMPILE + SIGN - VB.NET

    I use SignDotNet.exe to sign NX6, NX7.5, NX8.5 and NX9 all with no problems for users. Frank Swinkels
  7. FrankSwinks

    Are Edges Tangent?

    Here is a journal that goes part of the way for what I think you want. The journal ask you to select a face. The journal then gets all edges of that selected face. Then for each edge we get the adjacent faces and checking for a point on the edge I get the normal on both faces at this point...
  8. FrankSwinks

    Simple way to create spline normal to face? , NX7.5

    Here is a journal that creates splines based on two points and two slopes. I should point a few limitations. This journal only works for NX7.5 because the studio spline function is quite different for NX8 +. I have used a simpler approach in that the user is asked to make 4 selections. The...
  9. FrankSwinks

    Help me with a Journal to report the text strings in a Multisheet drawing (label or notes)

    Here is the modified journal to take into account multiple line labels Option Strict Off Imports System Imports NXOpen Imports NXOpen.UF Imports NXOpenUI Imports NXOpen.Utilities Imports NXOpen.Annotations Module GetWordInfo Dim s As Session = Session.GetSession() Dim ufs As UFSession...
  10. FrankSwinks

    Looking for a journal which gives total length of cable

    Below is the changed code so that Apply or OK does not cause an error. When I write journals they are typically concept journals to demonstrate that a user requirement is possible. I NEVER include all necessary code to cover all conditions or user methods. For example this updated journal...
  11. FrankSwinks

    Looking for a journal which gives total length of cable

    Here is the complete journal. 'Author: Frank Swinkels 'for use only with NX 8.5 or above 'Create approximate centerline of B-surface "tube" 'user will be prompted to select B-surface, a 'through points' studio spline will be created along the centerline ' modified June 19, 2014 to include...
  12. FrankSwinks

    Looking for a journal which gives total length of cable

    To create the BSurface make the following changes to your journal 1. Add the following dim lines Dim extractedfeat1 As Feature = Nothing Dim extractedbodyfeat1 As BodyFeature = Nothing Dim extractedbody1() As Body = Nothing Dim faces() As Face 2. Change the first try catch in main to read...
  13. FrankSwinks

    UDF with Parent/Child Dependent Components - NX6

    Attached is a part in which I created what I think you are looking for. I then created a udf and inserted a second hole. What I have done different is that I have used a projected point from which I then create the lower simple hole. Frank Swinkels...
  14. FrankSwinks

    NXOpen-FitCurve

    I took another look at this. First I assume you are using NX8.5? My code is using VB. After the fitcurve has been created you can get the feature like this Dim fitcurvefeat As features.feature = fitCurveBuilder1.getfeature Hope this helps. Frank Swinkels
  15. FrankSwinks

    NXOpen-FitCurve

    The commit method for fitcurvebuilder indicates that "Commits any edits that have been applied to the builder". If you want to access the fitcurve feature then use the CommitFeature method.
  16. FrankSwinks

    Points transformation

    Or just delete the line Dim lstSelFaces As List(Of Face) = New List(Of Face) When I wrote the journal I started with the existing previous journal. It does nothing in my journal. Frank Swinkels
  17. FrankSwinks

    Points transformation

    Here is an additional journal which may be of some further help. The journal uses face edges to project as required. This is limited to faces that have closed edges. It therefore would not work for say cylinders, spheres and cones. Option Strict Off Imports System Imports NXOpen Imports...
  18. FrankSwinks

    new to nx need some programming suggestion

    I have attached a demonstration for simple journal to enable applying rules for as many features as you want. My simple example part contains seven features (4 blocks and 3 cylinders). I have applied names to each features. I have also applied a suppression expression to each feature. The...
  19. FrankSwinks

    Journal to set/ change dimensions tolerance

    You have two code errors in the section if x1 = 100 then horizontalDimension1.SetDimensionText(text1) else horizontalDimension1.SetDimensionText(text2) end if It should be If x1(0) = "100" Then horizontalDimension1.SetDimensionText(text1) Else...
  20. FrankSwinks

    Journal to set/ change dimensions tolerance

    OK Here is one more try. Frank Swinkelshttp://files.engineering.com/getfile.aspx?folder=8163cbfa-a7ee-4f68-a216-127fe4be7335&file=NXDialogTolerances2.zip
Back
Top